Package org.python.modules.jffi

## Class JITInvoker

- java.lang.Object
- - org.python.modules.jffi.Invoker
  - - org.python.modules.jffi.JITInvoker

- Direct Known Subclasses:
    `JITInvoker0`, `JITInvoker1`, `JITInvoker2`, `JITInvoker3`, `JITInvoker4`, `JITInvoker5`, `JITInvoker6`

      public abstract class JITInvoker
      extends Invoker

- - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static void` | `checkArity​(int arity, int got)` |
    `PyObject` | `invoke​(PyObject[] args)` |

    - ### Methods inherited from class org.python.modules.jffi.Invoker

      `invoke, invoke, invoke, invoke, invoke, invoke, invoke`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### checkArity

          public static void checkArity​(int arity,
                                        int got)

    - #### invoke

          public PyObject invoke​(PyObject[] args)

      Specified by:
        `invoke` in class `Invoker`